# $Revision: 1.12 $, $Date: 2011/03/04 19:01:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DateTime
%define		pnam	Calendar-Mayan
Summary:	DateTime::Calendar::Mayan - the Mayan Long Count, Haab, and Tzolkin calendars
Summary(pl.UTF-8):	DateTime::Calendar::Mayan - kalendarze Majów: Długi Kalendarz, Haab oraz Tzolkin
Name:		perl-DateTime-Calendar-Mayan
Version:	0.0601
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9ed964ceadee297770be4ef7778e090c
URL:		http://search.cpan.org/dist/DateTime-Calendar-Mayan/
BuildRequires:	perl-DateTime
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An implementation of the Mayan Long Count, Haab, and Tzolkin calendars
as defined in "Calendrical Calculations The Millennium Edition".
Supplemented by "Frequently Asked Questions about Calendars".

%description -l pl.UTF-8
Implementacja kalendarzy Majów: Długiego, Haab i Tzolkin tak jak
opisano je w "Calendrical Calculations The Millennium Edition", wraz z
poprawkami wg "Frequently Asked Questions about Calendars".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/DateTime/Calendar/Mayan.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README Todo
%dir %{perl_vendorlib}/DateTime/Calendar
%{perl_vendorlib}/DateTime/Calendar/Mayan.pm
%{_mandir}/man3/DateTime::Calendar::Mayan.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Calendar-Mayan.spec,v $
Revision 1.12  2011/03/04 19:01:26  qboosh
- use __rm macro

Revision 1.11  2009/09/07 09:02:23  amateja
- release 3

Revision 1.10  2008/01/14 21:17:46  glen
- missing dirs; rel 2

Revision 1.9  2007-03-31 19:52:12  qboosh
- generic URL
- BR: perl-Module-Build
- drop .pod

Revision 1.8  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:18  paladine
- formatting

Revision 1.5  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.4  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.3  2004/04/13 19:37:26  qboosh
- cosmetics

Revision 1.2  2004/04/13 07:07:36  agaran
- pl

Revision 1.1  2004/04/13 07:04:38  agaran
new spec, nfy
